OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.ATI.VertexArrayObject

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetATIVertexArrayObject :: MonadIO m => m Bool
- gl_ATI_vertex_array_object :: Bool
- pattern GL_ARRAY_OBJECT_BUFFER_ATI :: GLenum
- pattern GL_ARRAY_OBJECT_OFFSET_ATI :: GLenum
- pattern GL_DISCARD_ATI :: GLenum
- pattern GL_DYNAMIC_ATI :: GLenum
- pattern GL_OBJECT_BUFFER_SIZE_ATI :: GLenum
- pattern GL_OBJECT_BUFFER_USAGE_ATI :: GLenum
- pattern GL_PRESERVE_ATI :: GLenum
- pattern GL_STATIC_ATI :: GLenum
- glArrayObjectATI :: MonadIO m => GLenum -> GLint -> GLenum -> GLsizei -> GLuint -> GLuint -> m ()
- glFreeObjectBufferATI :: MonadIO m => GLuint -> m ()
- glGetArrayObjectfvATI :: MonadIO m => GLenum -> GLenum -> Ptr GLfloat -> m ()
- glGetArrayObjectivATI :: MonadIO m => GLenum -> GLenum -> Ptr GLint -> m ()
- glGetObjectBufferfvATI :: MonadIO m => GLuint -> GLenum -> Ptr GLfloat -> m ()
- glGetObjectBufferivATI :: MonadIO m => GLuint -> GLenum -> Ptr GLint -> m ()
- glGetVariantArrayObjectfvATI :: MonadIO m => GLuint -> GLenum -> Ptr GLfloat -> m ()
- glGetVariantArrayObjectivATI :: MonadIO m => GLuint -> GLenum -> Ptr GLint -> m ()
- glIsObjectBufferATI :: MonadIO m => GLuint -> m GLboolean
- glNewObjectBufferATI :: MonadIO m => GLsizei -> Ptr a -> GLenum -> m GLuint
- glUpdateObjectBufferATI :: MonadIO m => GLuint -> GLuint -> GLsizei -> Ptr a -> GLenum -> m ()
- glVariantArrayObjectATI :: MonadIO m => GLuint -> GLenum -> GLsizei -> GLuint -> GLuint -> m ()

# Extension Support

glGetATIVertexArrayObject :: MonadIO m => m Bool Source #

Is the ATI_vertex_array_object extension supported?

gl_ATI_vertex_array_object :: Bool Source #

Is the ATI_vertex_array_object extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetATIVertexArrayObject` in those cases instead.

# Enums

pattern GL_ARRAY_OBJECT_BUFFER_ATI :: GLenum Source #

pattern GL_ARRAY_OBJECT_OFFSET_ATI :: GLenum Source #

pattern GL_DISCARD_ATI :: GLenum Source #

pattern GL_DYNAMIC_ATI :: GLenum Source #

pattern GL_OBJECT_BUFFER_SIZE_ATI :: GLenum Source #

pattern GL_OBJECT_BUFFER_USAGE_ATI :: GLenum Source #

pattern GL_PRESERVE_ATI :: GLenum Source #

pattern GL_STATIC_ATI :: GLenum Source #

# Functions

glArrayObjectATI Source #

Arguments

:: MonadIO m |
=> GLenum | `array` of type EnableCap.
-> GLint | `size`.
-> GLenum | `type` of type ScalarType.
-> GLsizei | `stride`.
-> GLuint | `buffer`.
-> GLuint | `offset`.
-> m () |

glFreeObjectBufferATI Source #

Arguments

:: MonadIO m |
=> GLuint | `buffer`.
-> m () |

glGetArrayObjectfvATI Source #

Arguments

:: MonadIO m |
=> GLenum | `array` of type EnableCap.
-> GLenum | `pname` of type ArrayObjectPNameATI.
-> Ptr GLfloat | `params` pointing to `1` element of type `GLfloat`.
-> m () |

glGetArrayObjectivATI Source #

Arguments

:: MonadIO m |
=> GLenum | `array` of type EnableCap.
-> GLenum | `pname` of type ArrayObjectPNameATI.
-> Ptr GLint | `params` pointing to `1` element of type `GLint`.
-> m () |

glGetObjectBufferfvATI Source #

Arguments

:: MonadIO m |
=> GLuint | `buffer`.
-> GLenum | `pname` of type ArrayObjectPNameATI.
-> Ptr GLfloat | `params` pointing to `1` element of type `GLfloat`.
-> m () |

glGetObjectBufferivATI Source #

Arguments

:: MonadIO m |
=> GLuint | `buffer`.
-> GLenum | `pname` of type ArrayObjectPNameATI.
-> Ptr GLint | `params` pointing to `1` element of type `GLint`.
-> m () |

glGetVariantArrayObjectfvATI Source #

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> GLenum | `pname` of type ArrayObjectPNameATI.
-> Ptr GLfloat | `params` pointing to `1` element of type `GLfloat`.
-> m () |

glGetVariantArrayObjectivATI Source #

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> GLenum | `pname` of type ArrayObjectPNameATI.
-> Ptr GLint | `params` pointing to `1` element of type `GLint`.
-> m () |

glIsObjectBufferATI Source #

Arguments

:: MonadIO m |
=> GLuint | `buffer`.
-> m GLboolean | of type Boolean.

glNewObjectBufferATI Source #

Arguments

:: MonadIO m |
=> GLsizei | `size`.
-> Ptr a | `pointer` pointing to `size` elements of type `a`.
-> GLenum | `usage` of type ArrayObjectUsageATI.
-> m GLuint |

glUpdateObjectBufferATI Source #

Arguments

:: MonadIO m |
=> GLuint | `buffer`.
-> GLuint | `offset`.
-> GLsizei | `size`.
-> Ptr a | `pointer` pointing to `size` elements of type `a`.
-> GLenum | `preserve` of type PreserveModeATI.
-> m () |

glVariantArrayObjectATI Source #

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> GLenum | `type` of type ScalarType.
-> GLsizei | `stride`.
-> GLuint | `buffer`.
-> GLuint | `offset`.
-> m () |